Intrusion Prevention

H2.Database.CREATE.ALIAS.Remote.Code.Execution

Description

This indicates an attack attempt to exploit a Remote Code Execution vulnerability in H2 Database.
The vulnerability is due to insufficient validation of user supplied inputs in the application. A remote attacker may be able to exploit this to execute arbitrary remote code within the context of the application, via a crafted HTTP request.

Affected Products

H2 1.4.197, as used in Datomic before 0.9.5697 and other products.

Impact

System Compromise: Remote attackers can gain control of vulnerable systems.

Recommended Actions

Apply the most recent upgrade or patch from the vendor.
http://blog.datomic.com/2018/03/important-security-update.html

CVE References

CVE-2018-10054

Other References

44422